Update user's persona
curl --request PUT \
--url https://api.example.com/v1/personas/user/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"date_of_death": "2023-12-25",
"nationality": "<string>",
"hash_id": "<string>",
"metadata": {},
"active": true
}
'import requests
url = "https://api.example.com/v1/personas/user/{user_id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"date_of_death": "2023-12-25",
"nationality": "<string>",
"hash_id": "<string>",
"metadata": {},
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
date_of_birth: '2023-12-25',
date_of_death: '2023-12-25',
nationality: '<string>',
hash_id: '<string>',
metadata: {},
active: true
})
};
fetch('https://api.example.com/v1/personas/user/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"date_of_death": "2023-12-25",
"nationality": "<string>",
"hash_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_at": "2023-11-07T05:31:56Z",
"modified_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}User-Persona
Update user's persona
Update persona associated with a user
PUT
/
v1
/
personas
/
user
/
{user_id}
Update user's persona
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
User's persona updated successfully
Maximum string length:
100Maximum string length:
100Pattern:
^[A-Z]{3}$⌘I